function make_calendar() {
    today=new Date();
    var year=today.getFullYear();
		var month=today.getMonth();
    var day=today.getDate();
    var leap_year=((year%4 == 0 && year%100 != 0) || (year%400 == 0));
    ary_month=new Array(31,28+leap_year,31,30,31,30,31,31,30,31,30,31);
    ary_day=new Array("日","月","火","水","木","金","土");
    var days=0;
    for (var i=0; i < month; i++){
        days+=ary_month[i];
    }
    var week=Math.floor((year*365.2425+days)%7);
    var j=1;
    var k;
    var when=year+"年 "+(month+1)+"月";
    var calendar="<table>\n";
    calendar+="<tr><td id=\"caption\" colspan=\"7\">" + when + "</td></tr>\n";
    calendar+="<tr>";
    for (i=1; i <= 7; i++){
        calendar+="<td";
        if (i%7 == 0){
            calendar+=' class="sun"';
        }
        if (i == 6){
            calendar+=' class="sat"';
        }
        calendar+=">"+ary_day[i%7]+"</td>";
    }
    calendar+="</tr>\n<tr>";
    for (i=0; i < (week+6)%7; i++){
        k=ary_month[(month+11)%12]-(week+6)%7+i+1;
        calendar+='<td class="blank">' + k + '</td>';
        j++;
    }
    for (i=1; i <= ary_month[month]; i++) {
        calendar+="<td";
        if (day == i){
            calendar+=' id="today"';
        }
        if (j == 7){
            calendar+=' class="sun"';
        }
        if (j == 6){
            calendar+=' class="sat"';
        }
        calendar+=">"+i+"</td>";
        j++;
        if (j > 7) { 
            calendar+="</tr>\n<tr>";
            j=1;
        }
    }
    k=1;
    j= j==1 ? 8:j;
    for (i=j; i <= 7; i++){
        calendar+='<td class="blank">' + k + '</td>';
        k++;
    }
    calendar+="</tr>\n</table>\n";
    return calendar;
}
